[WIP] function-section: enable on windows. needs tuning.
ClosedPublic

Authored by Phyx on Jul 1 2018, 5:32 AM.

Details

Summary

gc-sections is slow on Windows, which is the only reason
it's not enabled yet. I have a local optimized branch of
binutils that I have gotten the go ahead to try to upstream.

This is to check the difference on harbormaster.

Do not merge yet.

Test Plan

./validate

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
Phyx created this revision.Jul 1 2018, 5:32 AM
Phyx added a comment.Jul 5 2018, 11:59 AM

Hmm this is odd.. According to the logs harbormaster no longer shows the slowdown it did last time we enabled this. Should we try just enabling it again @bgamari?

Hmm, interesting. I suppose it wouldn't hurt to try.

bgamari accepted this revision.Aug 21 2018, 11:10 AM

Indeed it looks like this only took one hour. Let's try merging this.

This revision is now accepted and ready to land.Aug 21 2018, 11:10 AM
This revision was automatically updated to reflect the committed changes.